Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.atom.routing
Class FeedSplitter

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.AbstractSplitter
              org.mule.module.atom.routing.FeedSplitter

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class FeedSplitter

extends AbstractSplitter

An inbound router that will split a Feed into entries. A filter can be applied to the entries to omit certain entries, the most common use of this would be to filter out entries that have already been read by using the `EntryLastUpdatedFilter` filter.

Field Summary
`static String` | `FEED_PROPERTY`
`protected Log` | `logger` logger used by this class

Fields inherited from class org.mule.routing.AbstractSplitter
`enableCorrelation, messageInfoMapping, muleContext, resultsHandler`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`next, notificationHandler`

Constructor Summary
`FeedSplitter()`

Method Summary
`Filter` | `getEntryFilter()`
`void` | `setEntryFilter(Filter entryFilter)`
`protected List<MuleMessage>` | `splitMessage(MuleEvent event)`

Methods inherited from class org.mule.routing.AbstractSplitter
`isSplitRequired, process, processParts, setEnableCorrelation, setMessageInfoMapping, setMuleContext`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### FEED_PROPERTY

    public static final String FEED_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### FeedSplitter

    public FeedSplitter()

Method Detail

### splitMessage

    protected List<MuleMessage> splitMessage(MuleEvent event)
                                      throws MuleException

  Specified by:
    `splitMessage` in class `AbstractSplitter`
  Throws:
    `MuleException`

### getEntryFilter

    public Filter getEntryFilter()

### setEntryFilter

    public void setEntryFilter(Filter entryFilter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.